
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C13004
C13004:	JSR $299A  ; increment $B8
C13007:	LDA ($B8)
C13009:	ASL A
C1300A:	ASL A
C1300B:	TAX
C1300C:	REP #$20  ; 16-bit A
C1300E:	LDA $4038,X  ; monster ID?
C13011:	JSL $E00030
C13015:	TDC
REPLACE1:  ; one instruction replaces two
C13016:	JSL name_length
;C13016:	SEP #$20
;C13018:	LDA #$0A

org $C13053
C13053:	LDA $403A,X  ; monster count
REPLACE2:  ; four instructions replace six
C13056:	JSL check_draw_count
C1305A:	BCC skip_draw_count
C1305C:	NOP
C1305D:	JMP $2DEA
;C13056:	CMP #$02
;C1305A:	JSL $E00020
;C1305C:	NOP
;C1305D:	NOP
;C1305E:	NOP
;C1305F:	NOP

skip_draw_count:
C13060:	RTS

org $E00E80
check_draw_count:
E00E80:	CPY #$0014  ; does enemy have 10-character name?
E00E83:	BCC check_quantity
E00E85:	CLC
E00E86:	JMP $0020

check_quantity:
E00E89:	CMP #$02  ; is there at least two of this enemy?
E00E8B:	BCC exit  ; if not, don't draw count
E00E8D:	ADC #$52  ; otherwise, turn number into a character
E00E8F:	SEC

exit:
E00E90:	RTL

name_length:
E00E91:	LDA $E00058,X
E00E95:	CMP #$FFFF
E00E98:	TDC
E00E99:	SEP #$20  ; 8-bit A
E00E9B: LDA #$0A
E00E9D:	BCC return
E00E9F:	LDA #$08

return:
E00EA1:	RTL