
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C25937  ; location in v1.0 or v1.1
;org $C2591F  ; location in SFC version
REPLACE1:  ; one instruction replaces two
C25937:	STZ $B8  ; "both sides" control - start clear
;C25937:	STZ $B9  ; originally monster targets
;C25938:	TDC
C25939:	CPX #$08  ; Carry set if attack is coming from a monster
REPLACE2:  ; one instruction replaces two again
C2593B:	ROL $B9  ; init side control w/Carry bit
;C2593B:	ROR A
;C2593C:	STA $B8
C2593D:	LDA $BA
C2593F:	BIT #$10  ; was attack Rflected?
C25941:	BNE final_toggle  ; if so, toggle side control exactly once
C25943:	LDA $3395,X  ; is source Charmed?
C25946:	BMI check_enemy_character  ; if so, toggle side control
REPLACE3:  ; one instruction replaces three this time
C25948:	INC $B9  ; you'll see this a lot
;C25948a:	LDA #$80
;C25948b:	EOR $B8
;C25948c:	STA $B8

check_enemy_character:
C2594A:	LDA $3018,X
C2594D:	BIT $3A40  ; is source a character acting as an enemy?
C25950:	BEQ check_target_byte  ; if so, toggle side control
REPLACE4:  ; one instruction replaces three
C25952:	INC $B9
;C25952a:	LDA #$80
;C25952b:	EOR $B8
;C25952c:	STA $B8

check_target_byte:
C25954:	LDA $BB  ; targeting byte
	ASL A  ; cursor starts on opposition?
	BPL check_autoselect  ; if so, target side control
	INC $B9

check_autoselect:
REPLACE5:  ; three instructions replace ten!
C2595B:	AND #$18  ; isolate autoselect bits
C2595D:	CMP #$08  ; is "autoselect both" set and "autoselect one" clear?
C2595F:	BEQ enable_both_random  ; if so...
;C2595B:	AND #$0C
;	CMP #$04
;	BNE check_cursor_start
;	LDA #$40
;	TSB $B8
;check_cursor_start:
;	LDA $BB
;	AND #$40
;	ASL A
;	EOR $B8
;	STA $B8

C25961:	LDA $3EE4,X  ; ...or if source is Zombified...
C25964:	LSR A
C25965:	LSR A

enable_both_random:
REPLACE6:  ; one instruction replaces three
C25966:	ROR $B8  ; ...set "both random" control
;C25966a:	BCC check_muddle
;C25966b:	LDA #$40
;C25966c:	TSB $B8

check_muddle:
C25968:	LDA $3EE5,X
REPLACE7:  ; two instructions replace four
C2596B:	AND #$20
C2596D:	BEQ randomize  ; if source is Muddled...
;C2596B:	ASL A
;C2596C:	ASL A
;C2596D:	ASL A
;C2596E:	BCC randomize
	LDA $3A7A
	CMP #$01  ; ...and command is not Item...
	BNE final_toggle
	LDA $3A7B
	CMP #$FC  ; ...or Item is not a Smoke Bomb...
	BEQ randomize

final_toggle:
REPLACE8:  ; one instruction replaces three
C2597D:	INC $B9
;C2597Da:	LDA #$80
;C2597Db:	EOR $B8
;C2597Dc:	STA $B8

randomize:
	LSR $B9  ; side control -> Carry bit
C25981:	LDA $B8  ; get "both" control
REPLACE9:  ; ten instructions replace one
C25983:	STZ $B9  ; clear enemy targets byte
C25985:	BRA continue
C25987:	NOP
C25988:	NOP
C25989:	NOP
C2598A:	NOP
C2598B:	NOP
C2598C:	NOP
C2598D:	NOP
C2598E:	NOP
;C25983:	ASL A
continue: