
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C0496D
REPLACE1:  ; three instructions replace four
C0496D:	JSL $C04A3F
C04971:	LDY $0803
C04974:	JMP finish_step
;C0496D:	JSR clear_party_bits
;C04970:	LDA #$01
;C04971:	STA $57
;C04974:	STZ $078E
C04977:	RTS

org $C049F6
REPLACE2:  ; three NOPs replacing an instruction
C049F6:	NOP
C049F7:	NOP
C049F8:	NOP
;C049F6:	STZ $0886

org $C04A15
REPLACE3:  ; five NOPs replace two instructions
C04A15:	NOP
C04A16:	NOP
C04A17:	NOP
C04A18:	NOP
C04A19:	NOP
;C04A15:	LDA #$01
;C04A17:	STA $0886

org $C04AEC
clear_party_bits:
C04AEC:	LDA $1A6D

REPLACE2:  ; massive replacement
C04AEF:	ASL A
C04AF0:	ASL A
C04AF1:	PHY
C04AF2:	TAY
C04AF3:	LDA #$0F
C04AF5:	REP #$20

shift_loop:
C04AF7:	ASL A
C04AF8:	DEY
C04AF9:	BNE shift_loop

C04AFB:	TRB $1ED8
C04AFE:	PLY
C04AFF:	TDC
C04B00:	SEP #$20
C04B02:	RTS

finish_step:
C04B03:	JSR $7E77
C04B06:	JSR $7E08
C04B09:	STZ $85
C04B0B:	LDA #$01
C04B0D:	STA $0886
C04B10:	JSR clear_party_bits
C04B13:	LDA #$20
C04B15:	TRB $1EB6
C04B18:	LDA #$80
C04B1A:	TRB $1EB7
C04B1D:	JSR $C8A5  ; v1.0 or v1.1
;C04B1D:	JSR $C7D7  ; SFC only
C04B20:	JMP $4A33

padbyte $EA : pad $C04B60

; here's all the replaced stuff
;C04AEF:	CMP #$01
;C04AF1:	BNE party2
;C04AF3:	LDA $1ED8
;C04AF6:	AND #$EF
;C04AF8:	STA $1ED8
;C04AFB:	LDA $1ED8
;C04AFE:	AND #$DF
;C04B00:	STA $1ED8
;C04B03:	LDA $1ED8
;C04B06:	AND #$BF
;C04B08:	STA $1ED8
;C04B0B:	LDA $1ED8
;C04B0E:	AND #$7F
;C04B10:	STA $1ED8
;C04B13:	BRA exit

;party2:
;C04B15:	CMP #$02
;C04B17:	BNE party3
;C04B19:	LDA $1ED9
;C04B1C:	AND #$FE
;C04B1E:	STA $1ED9
;C04B21:	LDA $1ED9
;C04B24:	AND #$FD
;C04B26:	STA $1ED9
;C04B29:	LDA $1ED9
;C04B2C:	AND #$FB
;C04B2E:	STA $1ED9
;C04B31:	LDA $1ED9
;C04B34:	AND #$F7
;C04B36:	STA $1ED9
;C04B39:	BRA exit

;party3:
;C04B3B:	CMP #$03
;C04B3D:	BNE exit
;C04B3F:	LDA $1ED9
;C04B42:	AND #$EF
;C04B44:	STA $1ED9
;C04B47:	LDA $1ED9
;C04B4A:	AND #$DF
;C04B4C:	STA $1ED9
;C04B4F:	LDA $1ED9
;C04B52:	AND #$BF
;C04B54:	STA $1ED9
;C04B57:	LDA $1ED9
;C04B5A:	AND #$7F
;C04B5C:	STA $1ED9

;exit:
;C04B5F:	RTS